package com.camunda.training;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.ExecutionListener;
import org.camunda.bpm.engine.delegate.Expression;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SomeListener implements ExecutionListener{

	private final Logger LOGGER = LoggerFactory.getLogger(SomeListener.class.getName());

	private Expression color;


	public Expression getColor() {
		return color;
	}


	public void setColor(Expression color) {
		this.color = color;
	}


	public void notify(DelegateExecution execution) throws Exception {
		LOGGER.info("SomeListener start");
		String color_injected = color.getValue(execution).toString();
		LOGGER.info("color: "+ color_injected);

		color.setValue("somenewcolor", execution);
		LOGGER.info("SomeListener end");
	}

}
